Talkr AI
API ReferenceKnowledge BaseCollections

Update a Collection

Rename or redescribe a knowledge base collection

Renames metadata only — does not touch the collection's documents.

PATCH
/api/v1/knowledge-base/collections/{collection_uuid}

Path Parameters

collection_uuid*Collection Uuid

Header Parameters

authorization?string|null
X-API-Key?string|null

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Request schema for renaming/redescribing a collection. Both fields optional -- only provided fields are changed.

Response Body

application/json

application/json

curl -X PATCH "https://example.com/api/v1/knowledge-base/collections/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "collection_uuid": "string",  "name": "string",  "description": "string",  "is_default": true,  "document_count": 0,  "created_at": "2019-08-24T14:15:22Z"}